Run of lintian-fixes for maven-install-plugin

Try this locally (using the lintian-brush package):

debcheckout maven-install-plugin
cd maven-install-plugin
lintian-brush --exclude=upstream-metadata-file

Merge these changes:

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index ac3124d..a73778c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,16 @@
+maven-install-plugin (2.5.2-5) UNRELEASED; urgency=medium
+
+  * Trim trailing whitespace.
+  * Use secure URI in Homepage field.
+  * Bump debhelper from old 10 to 12.
+  * Set debhelper-compat version in Build-Depends.
+  * Update Vcs-* headers from URL redirect.
+  * Use canonical URL in Vcs-Git.
+  * Remove unnecessary get-orig-source-target.
+  * Update standards version to 4.1.1, no changes needed.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Sat, 30 Jan 2021 16:36:37 -0000
+
 maven-install-plugin (2.5.2-4) unstable; urgency=medium
 
   * Team upload.
@@ -87,4 +100,3 @@ maven-install-plugin (2.3-1) unstable; urgency=low
   * Initial release. (Closes: #535011)
 
  -- Ludovic Claude <ludovic.claude@laposte.net>  Sat, 16 May 2009 21:57:41 +0100
-
diff --git a/debian/compat b/debian/compat
deleted file mode 100644
index f599e28..0000000
--- a/debian/compat
+++ /dev/null
@@ -1 +0,0 @@
-10
diff --git a/debian/control b/debian/control
index 684a2a8..2b974fa 100644
--- a/debian/control
+++ b/debian/control
@@ -6,7 +6,7 @@ Uploaders:
  Ludovic Claude <ludovic.claude@laposte.net>,
  Torsten Werner <twerner@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  default-jdk,
  junit4,
  libmaven-artifact-transfer-java,
@@ -15,10 +15,10 @@ Build-Depends:
  libmaven3-core-java,
  libplexus-utils-java,
  maven-debian-helper (>= 2.2)
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/maven-install-plugin.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/maven-install-plugin.git
-Homepage: http://maven.apache.org/plugins/maven-install-plugin/
+Standards-Version: 4.1.1
+Vcs-Git: https://salsa.debian.org/java-team/maven-install-plugin.git
+Vcs-Browser: https://salsa.debian.org/java-team/maven-install-plugin
+Homepage: https://maven.apache.org/plugins/maven-install-plugin/
 
 Package: libmaven-install-plugin-java
 Architecture: all
diff --git a/debian/rules b/debian/rules
index 5a6351f..2d33f6a 100755
--- a/debian/rules
+++ b/debian/rules
@@ -2,6 +2,3 @@
 
 %:
 	dh $@
-
-get-orig-source:
-	uscan --download-current-version --force-download --rename

Debdiff

File lists identical (after any substitutions)

Control files: lines which differ (wdiff format)

  • Depends: junit4 (>= 4.12), 4.13.1), libcommons-codec-java (>= 1.14), 1.15), libcommons-io-java (>= 2.6), 2.8.0), libmaven-artifact-transfer-java (>= 0.9.1), libmaven-shared-utils-java (>= 3.3.0), libmaven3-core-java (>= 3.6.3), libplexus-utils2-java (>= 3.3.0)
  • Homepage: http://maven.apache.org/plugins/maven-install-plugin/ https://maven.apache.org/plugins/maven-install-plugin/

Full worker log Full build log